import React, { useState, useEffect } from 'react';

const csvUrl =
  'https://gist.githubusercontent.com/rohame/c66da4d5fb31f35bf2a02d6417a38f64/raw/combined_logan_data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.DATE = d.DATE.slice(0,-3)
      d.year = d.YEAR
      d.WEATHER_DELAY = +d.WEATHER_DELAY
      d.dateFormatted = new Date(d.DATE)
      d.weatherLevel =
        +d.WT01 + +d.WT02 + +d.WT03 + +d.WT04 + +d.WT05 + +d.WT06 + +d.WT08 + +d.WT09
      return d;
    };
    d3.csv(csvUrl, row).then(setData);
  }, []);
  return data;
};